---
title: 'Send Phone Verification Code'
description: 'Initiates phone number verification by sending an OTP code via SMS using Twilio Verify.'
openapi: POST /api/phone_verifications
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/phone_verifications`

`POST https://admin.snagsolutions.io/api/phone_verifications`

Initiates phone number verification by sending an OTP code via SMS using Twilio Verify.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object) — Request body for initiating phone verification via OTP
    - `phoneNumber` (string, required) — Phone number in E.164 format (e.g., +14155552671)
    - `websiteId` (string, uuid) — The ID of the website
    - `userId` (string, uuid) — The ID of the user
    - `walletAddress` (string) — The wallet address of the user

## Response 200

200
  - response (object) — Standard response wrapper for initiating a phone number's verification
    - `data` (object, required) — Response payload after initiating phone verification via OTP
      - `success` (boolean, required) — Whether the phone number verification was successful
      - `message` (string, required) — Status message
      - `userId` (string, uuid, required) — The ID of the user

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
